# Uses of Enum Class
net.shibboleth.profile.installablecomponent.InstallableComponentSupport.SupportLevel

Packages that use InstallableComponentSupport.SupportLevel
Package
Description
net.shibboleth.profile.installablecomponent
Classes for "Installable Components".

## Uses of InstallableComponentSupport.SupportLevel in net.shibboleth.profile.installablecomponent

Fields in net.shibboleth.profile.installablecomponent declared as InstallableComponentSupport.SupportLevel
Modifier and Type
Field
Description
`private final InstallableComponentSupport.SupportLevel`
InstallableComponentInfo.VersionInfo.`supportLevel`
support level.
Methods in net.shibboleth.profile.installablecomponent that return InstallableComponentSupport.SupportLevel
Modifier and Type
Method
Description
`InstallableComponentSupport.SupportLevel`
InstallableComponentInfo.VersionInfo.`getSupportLevel()`
get support level.
`static InstallableComponentSupport.SupportLevel`
InstallableComponentSupport.SupportLevel.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InstallableComponentSupport.SupportLevel[]`
InstallableComponentSupport.SupportLevel.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in net.shibboleth.profile.installablecomponent with parameters of type InstallableComponentSupport.SupportLevel
Modifier
Constructor
Description
``
`VersionInfo(InstallableComponentVersion max, InstallableComponentVersion min, InstallableComponentSupport.SupportLevel support)`
Constructor.